Contents | Parent Topic | Previous Topic | Next Topic
Home | Catalog

# 11.4. sdfbatch - Batch Processing Utility

## Purpose

sdfbatch is a preprocessor for <CMD>fmbatch</CMD>, FrameMaker's command-line driven batch processing utility.

## Usage

    usage  : sdfbatch [+alias] [-h[help]] [-f fmt_file]
             [-F fmt_what] [-u] [-p[print_doc]]
             [-P paper_size] [-s[save_ext]]
             [-S save_fmt] [-n] [-t timeout]
             frame_file ...
    purpose: generate fmbatch input file
    version: 2.000    (SDF 2.001)

The options are:

Option | Description
-h | display help on options
-f | formats file
-F | formats to import
-u | update documents
-p | print documents
-P | paper size name
-s | save extension
-S | save file format
-n | output the batch file (instead of calling fmbatch)
-t | timeout for printer driver to generate ps

The aliases are:

Alias | Description
fm2ps | convert Frame files to PostScript

## Description

Given a set of FrameMaker documents, sdfbatch can be used to:

- change the formatting of the documents (ala Use Formats From)
- update the documents (i.e. cross-references, etc.)
- print the documents
- save the documents in a nominated file format

The -h option provides help. If it is specified without a parameter, a brief description of each option is displayed. To display the attributes for an option, specify the option letter as a parameter.

To change formatting, use the -f option to specify the file to import the formats from. The -F option can be used to specify what formats are imported. The argument to the -F option is a set of the characters in the table below.

Character | Meaning
p | Paragraph formats
f | Font formats
l | Page layouts
c | Cross references
v | Variables
r | Reference page contents
t | Table formats
x | Conditional text
k | Color
m | math
B | Preserve manual page breaks
O | Preserve other formatting overrides

By default, all formats are imported.

To update documents, use the -u option.

To print documents, use the -p option. If a parameter is not provided, the file will be printed to the default printer. To print to a PostScript file, specify the "file" keyword as the parameter. Alternatively, the parameter is the name of a print settings file.

When generating a PostScript file, the paper size can be specified using the -P option. The default value is global. The paper size name is actually mapped to a print settings file called paper_size.fmver in the `stdlib` library directory. fmver is typically either fm4 or fm5, depending on which version of FrameMaker you are using.

To save documents, use the -s option. By default, this saves each file. To change the extension, supply an argument to the -s option.

To specify a different format, use the -S option. Possible values are:

- m - MIF
- a - line-oriented ASCII
- t - paragraph-oriented ASCII
- d - Frame document
- l - View-Only Frame document
- - - file's current format [default]

Take care with the file extension - any existing files will be replaced without warning.

The -n option causes the generated <CMD>fmbatch</CMD> file to be output. i.e. fmbatch is not called. This option is useful for debugging.

The -t option enables the user to tune the time-out used when waiting for the print driver to generate a PostScript file. The default value is 300 seconds (i.e. 5 minutes).

A combination of the f, u, p and s options can be supplied if more that one operation is required per file. For example, you may wish to import formats and then save the resultant file. For each file, the operations are always done in the following order:

1. formatting
2. updating
3. printing
4. saving

Note: Not all of the values documented for the -F and -S options may be supported in Frame versions before 4.0 and additional values may be supported in future versions. As such, the values supplied to these options are simply embedded in the generated sdfbatch file. i.e. no checking is done on the value. This behaviour is considered a feature.

## Examples

To format and print a set of files:

            sdfbatch -fmyfmts.doc -p *.doc

To convert mif files to binary files:

            sdfbatch -sdoc -Sd *.mif

To copy Frame variables from a file to a set of files:

            sdfbatch -fvariable.mif -Fv -s *.doc